#ifndef _PARSER_H
#define _PARSER_H

typedef int (parse_fn_t)(char *rrd_data, const char **parser_data,
			void **parser_state);

struct parser_info {
	struct parser_info *next;
	const char *name;
	parse_fn_t *parse;
};

int register_parser(struct parser_info *info);
struct parser_info *str_to_parser(const char *str);

#define RRD_DATA_MAX_LEN	4096

#endif
