#ifndef __STRING_H
#define __STRING_H

#include <string.h>
#include <stdlib.h>
#include <ctype.h>

int dec_to_int(char *src, char **dst);
long long dec_to_longlong(char *src, char **dst);
float dec_to_float(char *src, char **dst);
int get_word(char *src, char **dst, char *word, int size);

static inline char *skip_non_numbers(char *str)
{
	while(*str && !isdigit(*str))
		str++;

	return str;
}

static inline char *skip_numbers(char *str)
{
	while(isdigit(*str))
		str++;

	return str;
}

static inline char *skip_float_numbers(char *str)
{
	while(isdigit(*str) || (*str == '.'))
		str++;

	return str;
}

#endif
